# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/gpio/apple,smc-gpio.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Apple Mac System Management Controller GPIO

maintainers:
  - Sven Peter <sven@kernel.org>

description:
  Apple Mac System Management Controller GPIO block.

properties:
  compatible:
    const: apple,smc-gpio

  gpio-controller: true

  '#gpio-cells':
    const: 2

required:
  - compatible
  - gpio-controller
  - '#gpio-cells'

additionalProperties: false
